|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QAbstractExtensionFactory Class Reference
[QtDesigner module]

The QAbstractExtensionFactory class provides the standard interface for extension factories in Qt Designer. More...

    #include <QAbstractExtensionFactory>

Inherited by QExtensionFactory.

- List of all members, including inherited members

### Public Functions

- virtual ~QAbstractExtensionFactory ()
- virtual QObject * extension ( QObject * object, const QString & iid ) const = 0

## Detailed Description

The QAbstractExtensionFactory class provides the standard interface for extension factories in Qt Designer.

In Qt Designer, extension factories are used to look up and create named extensions as they are required. QAbstractExtensionFactory provides a default implementation of an extension factory that is

See also QAbstractExtensionManager.

## Member Function Documentation

### QAbstractExtensionFactory::~QAbstractExtensionFactory () `[virtual]`

Destroys the extension factory.

### QObject * QAbstractExtensionFactory::extension ( QObject * object, const QString & iid ) const `[pure virtual]`

Returns an extension specified by iid for the given object.